## gnarwl 3.6.dfsg

=== contrib/Makefile ===
catch:
	$(MAKE) -C .. all

clean:

install:

=== data/Makefile ===
catch:
	$(MAKE) -C .. all

all: clean spec config

clean: 
	rm -f $(BIN)-$(VER).spec gnarwl.cfg

config:
	@sed "s\\_HOMEDIR_\\$(HOMEDIR)\\g ; s\\_VER_\\$(VER)\\g ; s\\_MAN_SEC_\\$(MAN_SEC)\\g" < config.tmpl > gnarwl.cfg

spec:
	@sed "s\\_BIN_\\$(BIN)\\g ; s\\_VER_\\$(VER)\\g; s\\_SBIN_\\$(SBIN)\\g; s\\_SEC_\\$(MAN_SEC)\\g" < spec.tmpl > $(BIN)-$(VER).spec 

install:
	mkdir -m 755 -p  $(HOMEDIR)/block $(HOMEDIR)/bin $(CONFDIR)
	echo \|$(BINDIR)/$(BIN) > $(HOMEDIR)/.forward
	install -m 644 header.txt $(HOMEDIR)
	install -m 644 footer.txt $(HOMEDIR)
	install -m 600 gnarwl.cfg $(CONFDIR)
	cat badheaders.txt | $(SBINDIR)/$(SBIN) -a $(HOMEDIR)/badheaders.db
	cat blacklist.txt | $(SBINDIR)/$(SBIN) -a $(HOMEDIR)/blacklist.db

=== doc/Makefile ===
catch:
	$(MAKE) -C .. all

all: clean manpage

clean: 
	rm -f *~ $(BIN).$(MAN_SEC)* $(SBIN).$(MAN_SEC)* DEADJOE

manpage:
	@echo Generating manpage...
	@sed "s\\_CONFDIR_\\$(CONFDIR)\\g ; s\\_HOMEDIR_\\$(HOMEDIR)\\g ; s\\_MANSEC_\\$(MAN_SEC)\\g" < $(BIN).man | groff -man -Tascii > $(BIN).$(MAN_SEC)
	@sed "s\\_CONFDIR_\\$(CONFDIR)\\g ; s\\_HOMEDIR_\\$(HOMEDIR)\\g ; s\\_MANSEC_\\$(MAN_SEC)\\g" < $(SBIN).man | groff -man -Tascii > $(SBIN).$(MAN_SEC)


install:
	mkdir -m 755 -p $(DOCDIR) $(MANDIR)/man$(MAN_SEC)
	install -m 644 $(BIN).$(MAN_SEC) $(MANDIR)/man$(MAN_SEC)
	install -m 644 $(SBIN).$(MAN_SEC) $(MANDIR)/man$(MAN_SEC)
	install -m 644 FAQ $(DOCDIR)
	install -m 644 LICENSE $(DOCDIR)
	install -m 644 AUTHORS $(DOCDIR)
	install -m 644 INSTALL $(DOCDIR)
	install -m 644 ISPEnv.schema $(DOCDIR)
	install -m 644 ISPEnv2.schema $(DOCDIR)
	install -m 644 example.ldif $(DOCDIR)
	install -m 644 HISTORY $(DOCDIR)
	install -m 644 README $(DOCDIR)
	gzip -f -9 $(DOCDIR)/FAQ
	gzip -f -9 $(DOCDIR)/HISTORY
	gzip -f -9 $(MANDIR)/man$(MAN_SEC)/$(BIN).$(MAN_SEC)
	gzip -f -9 $(MANDIR)/man$(MAN_SEC)/$(SBIN).$(MAN_SEC)

=== src/Makefile ===
OBJ=config.o dbaccess.o util.o mailhandler.o
SOBJ=config.o dbaccess.o util.o

catch:
	$(MAKE) -C ..

all: clean compile

compile: $(OBJ) $(SOBJ)
	$(CC) $(CFLAGS) $(LFLAGS) -o $(BIN) gnarwl.c $(OBJ)
	$(CC) $(CFLAGS) $(LFLAGS) -o $(SBIN) damnit.c $(SOBJ)

clean:
	rm -f DEADJOE *.o *~ $(BIN) $(SBIN)

install:
	mkdir -m 755 -p $(BINDIR) $(SBINDIR)
	install -m 755 -s $(BIN) $(BINDIR)
	install -m 755 -s $(SBIN) $(SBINDIR)

=== debian/changelog ===
gnarwl (3.6.dfsg-6.2ubuntu1) raring; urgency=low

  * Merge from Debian. Remaining changes:
    - Fix FTBFS with ld --as-needed (Closes: #689679, LP: #771112)

 -- Oussama Bounaim <o.bounaim@gmail.com>  Wed, 14 Nov 2012 18:46:32 +0100

gnarwl (3.6.dfsg-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * No longer ship /etc/gnarwl.cfg as a conffile; manage it using ucf to
    preserve user changes. Thanks to Federico Ceratto for writing a first
    version of the patch. (Closes: #687943)
  * Add new Japanese debconf translation by Victory (Closes: #692477)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 08 Nov 2012 20:40:37 +0100

gnarwl (3.6.dfsg-6.1ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1074403).  Remaining changes:
    - Fix FTBFS with ld --as-needed (Closes: #689679, LP: #771112)

 -- Vibhav Pant <vibhavp@gmail.com>  Mon, 05 Nov 2012 22:06:17 +0100

gnarwl (3.6.dfsg-6.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Danish, Joe Hansen. Closes: #659777
    - Slovak, Slavko. Closes: #685380
    - Fix French and Italian charset.

 -- David Prévot <taffit@debian.org>  Mon, 10 Sep 2012 17:33:43 -0400

gnarwl (3.6.dfsg-6ubuntu1) oneiric; urgency=low

  * Fix FTBFS with ld --as-needed (LP: #771112) 

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Thu, 15 Sep 2011 16:25:10 +0900

gnarwl (3.6.dfsg-6) unstable; urgency=low

  * Added package ed to list of dependecies ( Closes: #591598 )
  * Updated control file: Standards-version to 3.9.0 

 -- Francesco Zanolin <francesco.zanolin@ingv.it>  Wed, 04 Aug 2010 06:54:49 +0200

gnarwl (3.6.dfsg-5) unstable; urgency=low

  * Corrected wrong path in /var/lib/gnarwl/.forward ( Closes: #584532 )

 -- Alessandro De Zorzi <lota@nonlontano.it>  Thu, 29 Jul 2010 15:57:09 +0200

gnarwl (3.6.dfsg-4) unstable; urgency=low

  * Added debian/watch file 

 -- Francesco Zanolin <francesco.zanolin@ingv.it>  Wed, 21 Apr 2010 11:12:09 +0200

gnarwl (3.6.dfsg-3) unstable; urgency=low

  * Source/format added
  * Corrected Control file, put Standards-Version=3.8.4
  * Set Debian format to 3.0 (quilt)

 -- Francesco Zanolin <francesco.zanolin@ingv.it>  Sun, 19 Apr 2010 19:07:39 +0200

gnarwl (3.6.dfsg-2) unstable; urgency=low

  * Removed libc-dev from Build-deps. ( Closes: #576768 )

 -- Francesco Zanolin  <francesco.zanolin@ingv.it>  Wed, 07 Apr 2010 10:02:24 +0200

gnarwl (3.6.dfsg-1) unstable; urgency=low

  * New upstream release. ( Closes: #555109, #334873, #495957, #437046 )
  * Repackaged to remove non-dfsg schema files (ISPev.schema, ISPev2.schema).
    ( Closes: #457279 )
  * New maintainer upload.  
  * Updated Spanish Debconf po ( Closes: #549665 )

 -- Francesco Zanolin <francesco.zanolin@ingv.it>  Sat, 20 Mar 2010 06:33:26 +0100

gnarwl (3.3-8.5) unstable; urgency=low

  * Non-maintainer upload.
  * Define LDAP_DEPRECATED in order to continue using
    deprecated prototypes. Closes: #472568

 -- dann frazier <dannf@debian.org>  Tue, 22 Apr 2008 01:29:55 -0600

gnarwl (3.3-8.4) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Dutch. Closes: #403958
    - Portuguese. Closes: #412400
    - Brazilian Portuguese. Closes: #417252, #420372, #439700
    - Spanish. Closes: #423626
    - Galician. Closes: #471105
    - Finnish. Closes: #471686
  * Add missing dh_shlibdeps to debian/rules. The package was not depending on
    the libc because of that. Closes: #472376
  * Replace "debconf|debconf-2.0" dependency by ${misc:Depends}

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 Mar 2008 20:29:52 +0100

gnarwl (3.3-8.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules : distclean target is now called according to the debian
    policy
  * It now depend on ed package (Closes: #431577)

 -- Philippe Le Brouster <plb@ac-grenoble.fr>  Sat, 29 Sep 2007 01:44:07 +0200

gnarwl (3.3-8.2) unstable; urgency=low

  * Non-maintainer upload to fix not longstanding l10n issues
    (fuzzies introduced by last upload)

 -- Christian Perrier <bubulle@debian.org>  Sat,  2 Dec 2006 17:10:41 +0100

gnarwl (3.3-8.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Depend on "debconf | debconf-2.0" to make the cdebconf transition possible
    (Closes: #331839)
  * Remove the useless dependency on po-debconf
  * Depend on ed as it is used in postinst
    (Closes: #375490)
  * Stop using deprecated debmake and use debhelper mode widely
    Closes: #372994
  * Lintian fixes:
    - Uses a default debhelper compatibility of 4. Includes a 
      reworked build system to better fit the current common use
    - no more install upstream's INSTALL file in /usr/share/doc/gnarwl
    - rewrite debconf templates to make them fit advices from the Developer's
      Reference
    - remove debian/conffiles that contains only files in /etc (redundant)
    - use debconf-updatepo in the clean target. Therefore Build-Depend on
      po-debconf
    - remove obsolete Build-Depends on debmake
    - update Standards to 3.7.2 (checked)
  * Remove the unused gnarwl/upgrade debconf template
  * Replace "alternativly" by "optionnally". Closes: #398165
  * Debconf translations:
    - Vietnamese added. Closes: #311799
    - Czech added. Closes: #310470
    - Swedish. Closes: #336892
    - Brazilian Portuguese added. Sent during the call for updates of 
      the NMU campaign
    - Portuguese added. Sent during the call for updates of the NMU campaign
    - Russian added. Sent during the call for updates of the NMU campaign
    - Italian added. Sent during the call for updates of the NMU campaign
    - German updated. Sent during the call for updates of the NMU campaign

 -- Christian Perrier <bubulle@debian.org>  Sat,  4 Nov 2006 20:11:25 +0100

gnarwl (3.3-8) unstable; urgency=low

  * Fixed upstream URL (Closes: #289598)
  * Corrected upstream INSTALL file to represent current options


=== debian/control ===
Source: gnarwl
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Francesco Zanolin <francesco.zanolin@ingv.it>
Uploaders: Alessandro De Zorzi <lota@nonlontano.it>
Build-Depends: debhelper (>= 7), libldap2-dev, libgdbm-dev, po-debconf, quilt
Standards-Version: 3.9.0
Homepage: http://www.onyxbits.de/gnarwl

Package: gnarwl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser (>=3.48), ucf
Recommends: phamm-ldap-vacation
Description: Email autoresponder based on LDAP
 Gnarwl is an email autoresponder. Unlike the original vacation program,
 gnarwl is based on LDAP, so that there's no need for users to have unix
 accounts on the mail server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

package=gnarwl

build: $(QUILT_STAMPFN) build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=$(CURDIR)/debian/$(package)/usr \
	            --mandir=$(CURDIR)/debian/$(package)/usr/share/man \
	            --sysconfdir=$(CURDIR)/debian/$(package)/etc \
	            --with-docdir=$(CURDIR)/debian/$(package)/usr/share/doc/gnarwl \
	            --with-homedir=$(CURDIR)/debian/$(package)/var/lib/gnarwl \
	            --with-mta=/usr/sbin/sendmail
	$(MAKE) CFLAGS="-O2 -g -Wall -I.."
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f `find . -name "*~"`
	rm -rf debian/files* core
	debconf-updatepo
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/$(package)/usr DESTDIR=$(CURDIR)/debian/$(package)
	rm $(CURDIR)/debian/$(package)/usr/share/doc/gnarwl/INSTALL || true
	rm -fr $(CURDIR)/debian/$(package)/etc/ldap || true
	rm -fr $(CURDIR)/debian/$(package)/var/lib/gnarwl/bin || true
	rm -fr $(CURDIR)/debian/$(package)/usr/share/doc/gnarwl/LICENSE || true
	touch install-stamp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installdebconf
	dh_installman
	dh_compress
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg+$// \
http://www.onyxbits.de/gnarwl http://www.onyxbits.de/sites/default/files/upload_cck/node/526/gnarwl-(.+).tgz
